POST V1/CustomerSupport.{ext}/ITGKickOffData?clientId={clientId}&Accepted={Accepted}&type={type}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| clientId |
No description available |
string |
Required |
| Accepted |
No description available |
boolean |
Required |
| type |
No description available |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
System.Data.DataSet| Name | Description | Type | Additional information |
|---|---|---|---|
| RemotingFormat |
No description available |
System.Data.SerializationFormat |
None. |
| SchemaSerializationMode |
No description available |
System.Data.SchemaSerializationMode |
None. |
| CaseSensitive |
No description available |
boolean |
None. |
| DefaultViewManager |
No description available |
Collection of Object |
None. |
| EnforceConstraints |
No description available |
boolean |
None. |
| DataSetName |
No description available |
string |
None. |
| Namespace |
No description available |
string |
None. |
| Prefix |
No description available |
string |
None. |
| ExtendedProperties |
No description available |
Dictionary of Object [key] and Object [value] |
None. |
| HasErrors |
No description available |
boolean |
None. |
| IsInitialized |
No description available |
boolean |
None. |
| Locale |
No description available |
System.Globalization.CultureInfo |
None. |
| Site |
No description available |
System.ComponentModel.ISite |
None. |
| Relations |
No description available |
Collection of Object |
None. |
| Tables |
No description available |
Collection of Object |
None. |
| Container |
No description available |
System.ComponentModel.IContainer |
None. |
| DesignMode |
No description available |
boolean |
None. |
Request Formats
application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
EMSResponseOfEMS.Common.TransactionResults| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Common.TransactionResults |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "TransactionResults",
"response": {
"transactionResult": [
{
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
},
{
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.